HushSearchDocs

Docling Structured

A document's structure as JSON: headings, tables, lists and reading order.

DocumentsLong-running: consider /v1/jobs

POST/v1/docling-structured/6 credits

Request
curl -X POST https://api.hushsearch.io/v1/docling-structured/ \
  -H "X-API-Key: hs_live_YOUR_KEY" \
  -H "Content-Type: application/json" \
  -d '{
  "url": "https://arxiv.org/pdf/1706.03762"
}'

Converts a PDF or document URL with Docling and returns both Markdown and the structured document tree.

Parameters

FieldTypeNotes
urlstringRequired. A PDF or document URL.

Response

{
  "url": "https://arxiv.org/pdf/…",
  "markdown": "# …",
  "structured": { "sections": [], "tables": [] },
  "page_count": 12,
  "degraded": false,
  "credits_used": 6,
  "credits_remaining": 494,
  "response_time_ms": 9100
}

On this page